Subject: Re: Dropbox and "Your local changes to the following files would be overwritten by merge"

From: Junio C Hamano <[email-masked]>
Date: Sat, 23 Jul 2022 11:09:07 -0700

"brian m. carlson" <[email-masked]> writes:

> It's known that Dropbox and other cloud syncing services can corrupt
> repositories.  They can cause files to be removed, renamed, or reappear
> after being deleted, and I suspect that's what's happening here.
> ...
> I'd recommend moving the data out of the Dropbox repository regardless,
> since, as I mentioned, it is known to cause corruption, and you won't
> know it until it's too late.  You may want to additionally run "git
> fsck" to see if that finds any problems other than dangling objects.

An anticipated follow-up question is "but then how do I replicate
the repository across my machines? that is the reason why I have it
in Dropbox in the first place", and the above is a hard-to-follow
advice until it has a good answer.

E.g. after finished working at a site, prepare to take the "latest"
to the next place you will work at in a bundle,

    $ git bundle create 2022-07-23.bndl --all HEAD
    $ mv 2022-07-23.bndl $my_dropbox_directory/.

and when you get to the next place to work at, you'd "fetch" from it
into the repository you keep, or you can choose *NOT* to maintain
any local copy there at all and "git clone" from the bundle every
time you restart at a different place.